/* Exemplet tar upp deklaration av variabler med const och let.
   Skillnad mellan globala och lokala variabler.
   Tilldelning med = och += för att ersätta eller lägga till innehåll.
   Beräkningar av uttryck med olika operatorer och parenteser.
   Skillnad i hur namn (identifierare) används för funktioner och variabler. */
// --------------------------------------------------
// Globala variabler och konstanter
// Dessa existerar i hela programmet och kan användas i alla funktioner
const applePrice = 25.35;   // kr/kg äpple
const pearPrice = 18.60;    // kr/kg päron
const vat = 0.12;           // Momssats
let apple, pear;            // Antal kg äpple resp. päron
let totPrice;               // Totalt pris
// --------------------------------------------------
// Funktion som körs då webbsidan laddats in
function init() {
    apple = 4;
    pear = 6;
    calculatePrice();
    console.log("Totalt " + totPrice + " kr.");
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Beräkna pris för äpplen och päron
function calculatePrice() {
    // Alla variabler som införs med const eller let i funktionen är lokala
    // De existerar endast i denna funktion

    let price = apple * applePrice + pear * pearPrice; // price är en lokal variabel
    let priceInclVat = price * (1 + vat);
    console.log("Priset är " + priceInclVat + " kr.");

    totPrice = priceInclVat;

    apple++;   // apple = apple + 1; // Öka med 1
    pear += 4; // pear = pear + 4; // Öka med 4
    
    priceInclVat = (apple * applePrice + pear * pearPrice) * (1 + vat);
    console.log("Priset är " + priceInclVat + " kr.");
    totPrice += priceInclVat;
} // Slut calculatePrice
// --------------------------------------------------
